package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFCT0 extends MwfRequest<MWFCT0, MWFCT0Response> {

    @Parameter(name = "CIF")
    MWFCT0 cif(String cif);
    @Parameter(name = "Cache")
    MWFCT0 cache(Long cache);
    @Parameter(name = "CisloUctu")
    MWFCT0 cisloUctu(String cisloUctu);
    @Parameter(name = "ICO")
    MWFCT0 ico(String ico);
    @Parameter(name = "PoplatkovyPlan")
    MWFCT0 poplatkovyPlan(String poplatkovyPlan);
    @Parameter(name = "PoplatkovyPlanPuvodni")
    MWFCT0 poplatkovyPlanPuvodni(String poplatkovyPlanPuvodni);
    @Parameter(name = "RetezecDoCache")
    MWFCT0 retezecDoCache(String retezecDoCache);
    @Parameter(name = "TypAkce")
    MWFCT0 typAkce(String typAkce);
    @Parameter(name = "UzivatelID")
    MWFCT0 uzivatelID(Long uzivatelID);
}
